Bug 134615 - rpm(1) doesn't install 32bit packages properly.
Summary: rpm(1) doesn't install 32bit packages properly.
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 4.0
Hardware: ia64
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-10-04 23:49 UTC by L3support
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-05 12:20:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description L3support 2004-10-04 23:49:29 UTC
Description of problem:
Several problems happen as we install ia32 rpm packages in ia64
environment. 
- rpm(1) donesn't relocate direcotries including files whose filecolor
is 1 to /emul/ia32-linux.
- pre or post processing errors are output in /root/install.log when
we  install RHEL4 beta1 with full installation.
  For example,
   error: %post(libgcc-3.4.1-10) scriptlet failed, exit status 255,
   error: %pre(dbus-0.22-4) scriptlet failed, exit status 255,
   error:   install: %pre scriptlet failed (2), skipping dbus-0.22-4,

Version-Release number of selected component (if applicable):
rpm-4.3.2-4

How reproducible:
always

Steps to Reproduce:
1. Install RHEL4 beta1 with full installation
after installation,
2. See '/' directory
3. See '/root/install.log' file
  
Actual results:
- /emul/ia32-linux doesn't exist
- There are several errors in /root/install.log 

Expected results:
- rpm(1) relocates the directories to /emul/ia32-linux.
- There are no errors in /root/install.log.

Additional info:

Comment 1 Jeff Johnson 2004-10-05 12:15:45 UTC
1) no /emul/ia32-linux was a missing piece of configuration,
fixed in rpm-4.3.2-8.

2) is a kernel problem, elf32 execution is disabled in ia64 kernels.

Comment 2 Arjan van de Ven 2004-10-05 12:20:45 UTC
It's not a kernel problem.
It's probably a missing ia32el package.

(note, newer ia64 cpus don't have any elf32 execution capability at all)


Note You need to log in before you can comment on or make changes to this bug.